Subject: FvwmPager FeatureRequest with appropriate diffs

From: Trilobit <[email-masked]>
Date: Tue, 8 Feb 2005 05:31:03 +0100

Hi,

Since quite a time I missed a feature in FvwmPager. 
When switching to another page on the desk with the mouse I'd like
get the focus to the window which is imaged in the pager under the
cursor. Similar to the function SloppyFocus, but on left mouse button
click.
Eventually I implemented it. :-)
I just tried to understand the needed functions and copied the text
the correct position in the source code.
I hope I didn't broke something. If you want to look what I have done
search the patched files for the string "Trilobit".

If there are people out there who won't like this function, I also inserted
a new configuration option:
"*FvwmPager: FlipFocus"
to enable it. By default this functionality is disabled.

I put the diffs of the manipulated files as attachment to this mail
and hope you will include this functionality to FvwmPager.

regards
Mario
131d130
< int FlipFocus = 0; /* Trilobit */
2009,2012d2007
< 	/* BEGIN Trilobit */
< 	else if (StrEquals(resource, "FlipFocus")){
< 		FlipFocus = 1;
< 	} /* END Trilobit */
300,303d299
< .IP "*FvwmPager: FlipFocus"
< Put focus to window which is under the mousepointer in
< the pager, when changing desks.
< 
60d59
< extern int FlipFocus; //Trilobit
1869,1879d1867
<   /*BEGIN Trilobit*/
<   if(FlipFocus){
< 	  PagerWindow *t;
< 	  t = Start;
< 	  while ((t != NULL)&&(t->PagerView != Event->xbutton.subwindow))
< 		  t= t->next;
< 	  
< 	  if(t!=NULL) SendText(fd, "Silent FlipFocus NoWarp", t->w);
<   }
<   /*END Trilobit*/
<